ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetAccountingPeriod

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetAccountingPeriod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable

      public class InetAccountingPeriod
      extends Id
      implements java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetAccountingPeriod()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAccountingPeriod` | `clone()`
    `int` | `getContractId()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getUserId()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setContractId(int contractId)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setUserId(int userId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetAccountingPeriod

          public InetAccountingPeriod()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`

    - #### main

          public static void main(java.lang.String[] args)

    - #### clone

          public InetAccountingPeriod clone()

      Overrides:
        `clone` in class `java.lang.Object`